%define upstream_name    B-Hooks-Parser
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Interface to perls parser variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module provides an API for parts of the perl parser. It can be used to
modify code while it's being parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.210.0-10.mga10
+ Revision: 2089253
- Rebuild for perl-5.40

* Thu Aug 22 2024 neoclust <neoclust> 0.210.0-9.mga10
+ Revision: 2087870
- Rebuild against perl 5.40

* Thu Nov 30 2023 tv <tv> 0.210.0-8.mga10
+ Revision: 2011569
- Rebuild for perl-5.38
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.210.0-6.mga9
+ Revision: 1861564
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.210.0-5.mga9
+ Revision: 1796305
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.210.0-4.mga9
+ Revision: 1726406
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.210.0-3.mga8
+ Revision: 1594308
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.210.0-2.mga8
+ Revision: 1529002
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 0.210.0-1.mga8
+ Revision: 1392446
- update to 0.21

* Fri Sep 21 2018 umeabot <umeabot> 0.190.0-5.mga7
+ Revision: 1292359
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.190.0-4.mga7
+ Revision: 1248990
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.190.0-3.mga7
+ Revision: 1163163
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.190.0-2.mga7
+ Revision: 1149459
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.190.0-1.mga7
+ Revision: 1129872
- update to 0.19
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1022704
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 956802
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 858553
- update to 0.16

* Fri Jun 26 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 844095
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 747378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 683589
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.120.0-3.mga5
+ Revision: 632149
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 525252
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.120.0-1.mga4
+ Revision: 432702
- adjust file list
- new release
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 363322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 05 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 302904
- imported package perl-B-Hooks-Parser

